> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count bank accounts matching filter



## OpenAPI

````yaml /openapi/bank-accounts.json post /bank-accounts/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /bank-accounts/count:
    post:
      tags:
        - Bank Accounts
      summary: Count bank accounts matching filter
      operationId: bankAccounts.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    clientId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Client ID
                    type:
                      anyOf:
                        - enum:
                            - checking
                            - savings
                            - investment
                            - other
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - checking
                                - savings
                                - investment
                                - other
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - checking
                                  - savings
                                  - investment
                                  - other
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - checking
                                  - savings
                                  - investment
                                  - other
                                type: string
                      description: Type
                    bankName:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Bank Name
                    country:
                      anyOf:
                        - enum:
                            - AD
                            - AE
                            - AF
                            - AG
                            - AI
                            - AL
                            - AM
                            - AO
                            - AQ
                            - AR
                            - AS
                            - AT
                            - AU
                            - AW
                            - AX
                            - AZ
                            - BA
                            - BB
                            - BD
                            - BE
                            - BF
                            - BG
                            - BH
                            - BI
                            - BJ
                            - BL
                            - BM
                            - BN
                            - BO
                            - BQ
                            - BR
                            - BS
                            - BT
                            - BV
                            - BW
                            - BY
                            - BZ
                            - CA
                            - CC
                            - CD
                            - CF
                            - CG
                            - CH
                            - CI
                            - CK
                            - CL
                            - CM
                            - CN
                            - CO
                            - CR
                            - CU
                            - CV
                            - CW
                            - CX
                            - CY
                            - CZ
                            - DE
                            - DJ
                            - DK
                            - DM
                            - DO
                            - DZ
                            - EC
                            - EE
                            - EG
                            - EH
                            - ER
                            - ES
                            - ET
                            - FI
                            - FJ
                            - FK
                            - FM
                            - FO
                            - FR
                            - GA
                            - GB
                            - GD
                            - GE
                            - GF
                            - GG
                            - GH
                            - GI
                            - GL
                            - GM
                            - GN
                            - GP
                            - GQ
                            - GR
                            - GS
                            - GT
                            - GU
                            - GW
                            - GY
                            - HK
                            - HM
                            - HN
                            - HR
                            - HT
                            - HU
                            - ID
                            - IE
                            - IL
                            - IM
                            - IN
                            - IO
                            - IQ
                            - IR
                            - IS
                            - IT
                            - JE
                            - JM
                            - JO
                            - JP
                            - KE
                            - KG
                            - KH
                            - KI
                            - KM
                            - KN
                            - KP
                            - KR
                            - KW
                            - KY
                            - KZ
                            - LA
                            - LB
                            - LC
                            - LI
                            - LK
                            - LR
                            - LS
                            - LT
                            - LU
                            - LV
                            - LY
                            - MA
                            - MC
                            - MD
                            - ME
                            - MF
                            - MG
                            - MH
                            - MK
                            - ML
                            - MM
                            - MN
                            - MO
                            - MP
                            - MQ
                            - MR
                            - MS
                            - MT
                            - MU
                            - MV
                            - MW
                            - MX
                            - MY
                            - MZ
                            - NA
                            - NC
                            - NE
                            - NF
                            - NG
                            - NI
                            - NL
                            - 'NO'
                            - NP
                            - NR
                            - NU
                            - NZ
                            - OM
                            - PA
                            - PE
                            - PF
                            - PG
                            - PH
                            - PK
                            - PL
                            - PM
                            - PN
                            - PR
                            - PS
                            - PT
                            - PW
                            - PY
                            - QA
                            - RE
                            - RO
                            - RS
                            - RU
                            - RW
                            - SA
                            - SB
                            - SC
                            - SD
                            - SE
                            - SG
                            - SH
                            - SI
                            - SJ
                            - SK
                            - SL
                            - SM
                            - SN
                            - SO
                            - SR
                            - SS
                            - ST
                            - SV
                            - SX
                            - SY
                            - SZ
                            - TC
                            - TD
                            - TF
                            - TG
                            - TH
                            - TJ
                            - TK
                            - TL
                            - TM
                            - TN
                            - TO
                            - TR
                            - TT
                            - TV
                            - TW
                            - TZ
                            - UA
                            - UG
                            - UM
                            - US
                            - UY
                            - UZ
                            - VA
                            - VC
                            - VE
                            - VG
                            - VI
                            - VN
                            - VU
                            - WF
                            - WS
                            - XK
                            - YE
                            - YT
                            - ZA
                            - ZM
                            - ZW
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - AD
                                - AE
                                - AF
                                - AG
                                - AI
                                - AL
                                - AM
                                - AO
                                - AQ
                                - AR
                                - AS
                                - AT
                                - AU
                                - AW
                                - AX
                                - AZ
                                - BA
                                - BB
                                - BD
                                - BE
                                - BF
                                - BG
                                - BH
                                - BI
                                - BJ
                                - BL
                                - BM
                                - BN
                                - BO
                                - BQ
                                - BR
                                - BS
                                - BT
                                - BV
                                - BW
                                - BY
                                - BZ
                                - CA
                                - CC
                                - CD
                                - CF
                                - CG
                                - CH
                                - CI
                                - CK
                                - CL
                                - CM
                                - CN
                                - CO
                                - CR
                                - CU
                                - CV
                                - CW
                                - CX
                                - CY
                                - CZ
                                - DE
                                - DJ
                                - DK
                                - DM
                                - DO
                                - DZ
                                - EC
                                - EE
                                - EG
                                - EH
                                - ER
                                - ES
                                - ET
                                - FI
                                - FJ
                                - FK
                                - FM
                                - FO
                                - FR
                                - GA
                                - GB
                                - GD
                                - GE
                                - GF
                                - GG
                                - GH
                                - GI
                                - GL
                                - GM
                                - GN
                                - GP
                                - GQ
                                - GR
                                - GS
                                - GT
                                - GU
                                - GW
                                - GY
                                - HK
                                - HM
                                - HN
                                - HR
                                - HT
                                - HU
                                - ID
                                - IE
                                - IL
                                - IM
                                - IN
                                - IO
                                - IQ
                                - IR
                                - IS
                                - IT
                                - JE
                                - JM
                                - JO
                                - JP
                                - KE
                                - KG
                                - KH
                                - KI
                                - KM
                                - KN
                                - KP
                                - KR
                                - KW
                                - KY
                                - KZ
                                - LA
                                - LB
                                - LC
                                - LI
                                - LK
                                - LR
                                - LS
                                - LT
                                - LU
                                - LV
                                - LY
                                - MA
                                - MC
                                - MD
                                - ME
                                - MF
                                - MG
                                - MH
                                - MK
                                - ML
                                - MM
                                - MN
                                - MO
                                - MP
                                - MQ
                                - MR
                                - MS
                                - MT
                                - MU
                                - MV
                                - MW
                                - MX
                                - MY
                                - MZ
                                - NA
                                - NC
                                - NE
                                - NF
                                - NG
                                - NI
                                - NL
                                - 'NO'
                                - NP
                                - NR
                                - NU
                                - NZ
                                - OM
                                - PA
                                - PE
                                - PF
                                - PG
                                - PH
                                - PK
                                - PL
                                - PM
                                - PN
                                - PR
                                - PS
                                - PT
                                - PW
                                - PY
                                - QA
                                - RE
                                - RO
                                - RS
                                - RU
                                - RW
                                - SA
                                - SB
                                - SC
                                - SD
                                - SE
                                - SG
                                - SH
                                - SI
                                - SJ
                                - SK
                                - SL
                                - SM
                                - SN
                                - SO
                                - SR
                                - SS
                                - ST
                                - SV
                                - SX
                                - SY
                                - SZ
                                - TC
                                - TD
                                - TF
                                - TG
                                - TH
                                - TJ
                                - TK
                                - TL
                                - TM
                                - TN
                                - TO
                                - TR
                                - TT
                                - TV
                                - TW
                                - TZ
                                - UA
                                - UG
                                - UM
                                - US
                                - UY
                                - UZ
                                - VA
                                - VC
                                - VE
                                - VG
                                - VI
                                - VN
                                - VU
                                - WF
                                - WS
                                - XK
                                - YE
                                - YT
                                - ZA
                                - ZM
                                - ZW
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - AD
                                  - AE
                                  - AF
                                  - AG
                                  - AI
                                  - AL
                                  - AM
                                  - AO
                                  - AQ
                                  - AR
                                  - AS
                                  - AT
                                  - AU
                                  - AW
                                  - AX
                                  - AZ
                                  - BA
                                  - BB
                                  - BD
                                  - BE
                                  - BF
                                  - BG
                                  - BH
                                  - BI
                                  - BJ
                                  - BL
                                  - BM
                                  - BN
                                  - BO
                                  - BQ
                                  - BR
                                  - BS
                                  - BT
                                  - BV
                                  - BW
                                  - BY
                                  - BZ
                                  - CA
                                  - CC
                                  - CD
                                  - CF
                                  - CG
                                  - CH
                                  - CI
                                  - CK
                                  - CL
                                  - CM
                                  - CN
                                  - CO
                                  - CR
                                  - CU
                                  - CV
                                  - CW
                                  - CX
                                  - CY
                                  - CZ
                                  - DE
                                  - DJ
                                  - DK
                                  - DM
                                  - DO
                                  - DZ
                                  - EC
                                  - EE
                                  - EG
                                  - EH
                                  - ER
                                  - ES
                                  - ET
                                  - FI
                                  - FJ
                                  - FK
                                  - FM
                                  - FO
                                  - FR
                                  - GA
                                  - GB
                                  - GD
                                  - GE
                                  - GF
                                  - GG
                                  - GH
                                  - GI
                                  - GL
                                  - GM
                                  - GN
                                  - GP
                                  - GQ
                                  - GR
                                  - GS
                                  - GT
                                  - GU
                                  - GW
                                  - GY
                                  - HK
                                  - HM
                                  - HN
                                  - HR
                                  - HT
                                  - HU
                                  - ID
                                  - IE
                                  - IL
                                  - IM
                                  - IN
                                  - IO
                                  - IQ
                                  - IR
                                  - IS
                                  - IT
                                  - JE
                                  - JM
                                  - JO
                                  - JP
                                  - KE
                                  - KG
                                  - KH
                                  - KI
                                  - KM
                                  - KN
                                  - KP
                                  - KR
                                  - KW
                                  - KY
                                  - KZ
                                  - LA
                                  - LB
                                  - LC
                                  - LI
                                  - LK
                                  - LR
                                  - LS
                                  - LT
                                  - LU
                                  - LV
                                  - LY
                                  - MA
                                  - MC
                                  - MD
                                  - ME
                                  - MF
                                  - MG
                                  - MH
                                  - MK
                                  - ML
                                  - MM
                                  - MN
                                  - MO
                                  - MP
                                  - MQ
                                  - MR
                                  - MS
                                  - MT
                                  - MU
                                  - MV
                                  - MW
                                  - MX
                                  - MY
                                  - MZ
                                  - NA
                                  - NC
                                  - NE
                                  - NF
                                  - NG
                                  - NI
                                  - NL
                                  - 'NO'
                                  - NP
                                  - NR
                                  - NU
                                  - NZ
                                  - OM
                                  - PA
                                  - PE
                                  - PF
                                  - PG
                                  - PH
                                  - PK
                                  - PL
                                  - PM
                                  - PN
                                  - PR
                                  - PS
                                  - PT
                                  - PW
                                  - PY
                                  - QA
                                  - RE
                                  - RO
                                  - RS
                                  - RU
                                  - RW
                                  - SA
                                  - SB
                                  - SC
                                  - SD
                                  - SE
                                  - SG
                                  - SH
                                  - SI
                                  - SJ
                                  - SK
                                  - SL
                                  - SM
                                  - SN
                                  - SO
                                  - SR
                                  - SS
                                  - ST
                                  - SV
                                  - SX
                                  - SY
                                  - SZ
                                  - TC
                                  - TD
                                  - TF
                                  - TG
                                  - TH
                                  - TJ
                                  - TK
                                  - TL
                                  - TM
                                  - TN
                                  - TO
                                  - TR
                                  - TT
                                  - TV
                                  - TW
                                  - TZ
                                  - UA
                                  - UG
                                  - UM
                                  - US
                                  - UY
                                  - UZ
                                  - VA
                                  - VC
                                  - VE
                                  - VG
                                  - VI
                                  - VN
                                  - VU
                                  - WF
                                  - WS
                                  - XK
                                  - YE
                                  - YT
                                  - ZA
                                  - ZM
                                  - ZW
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - AD
                                  - AE
                                  - AF
                                  - AG
                                  - AI
                                  - AL
                                  - AM
                                  - AO
                                  - AQ
                                  - AR
                                  - AS
                                  - AT
                                  - AU
                                  - AW
                                  - AX
                                  - AZ
                                  - BA
                                  - BB
                                  - BD
                                  - BE
                                  - BF
                                  - BG
                                  - BH
                                  - BI
                                  - BJ
                                  - BL
                                  - BM
                                  - BN
                                  - BO
                                  - BQ
                                  - BR
                                  - BS
                                  - BT
                                  - BV
                                  - BW
                                  - BY
                                  - BZ
                                  - CA
                                  - CC
                                  - CD
                                  - CF
                                  - CG
                                  - CH
                                  - CI
                                  - CK
                                  - CL
                                  - CM
                                  - CN
                                  - CO
                                  - CR
                                  - CU
                                  - CV
                                  - CW
                                  - CX
                                  - CY
                                  - CZ
                                  - DE
                                  - DJ
                                  - DK
                                  - DM
                                  - DO
                                  - DZ
                                  - EC
                                  - EE
                                  - EG
                                  - EH
                                  - ER
                                  - ES
                                  - ET
                                  - FI
                                  - FJ
                                  - FK
                                  - FM
                                  - FO
                                  - FR
                                  - GA
                                  - GB
                                  - GD
                                  - GE
                                  - GF
                                  - GG
                                  - GH
                                  - GI
                                  - GL
                                  - GM
                                  - GN
                                  - GP
                                  - GQ
                                  - GR
                                  - GS
                                  - GT
                                  - GU
                                  - GW
                                  - GY
                                  - HK
                                  - HM
                                  - HN
                                  - HR
                                  - HT
                                  - HU
                                  - ID
                                  - IE
                                  - IL
                                  - IM
                                  - IN
                                  - IO
                                  - IQ
                                  - IR
                                  - IS
                                  - IT
                                  - JE
                                  - JM
                                  - JO
                                  - JP
                                  - KE
                                  - KG
                                  - KH
                                  - KI
                                  - KM
                                  - KN
                                  - KP
                                  - KR
                                  - KW
                                  - KY
                                  - KZ
                                  - LA
                                  - LB
                                  - LC
                                  - LI
                                  - LK
                                  - LR
                                  - LS
                                  - LT
                                  - LU
                                  - LV
                                  - LY
                                  - MA
                                  - MC
                                  - MD
                                  - ME
                                  - MF
                                  - MG
                                  - MH
                                  - MK
                                  - ML
                                  - MM
                                  - MN
                                  - MO
                                  - MP
                                  - MQ
                                  - MR
                                  - MS
                                  - MT
                                  - MU
                                  - MV
                                  - MW
                                  - MX
                                  - MY
                                  - MZ
                                  - NA
                                  - NC
                                  - NE
                                  - NF
                                  - NG
                                  - NI
                                  - NL
                                  - 'NO'
                                  - NP
                                  - NR
                                  - NU
                                  - NZ
                                  - OM
                                  - PA
                                  - PE
                                  - PF
                                  - PG
                                  - PH
                                  - PK
                                  - PL
                                  - PM
                                  - PN
                                  - PR
                                  - PS
                                  - PT
                                  - PW
                                  - PY
                                  - QA
                                  - RE
                                  - RO
                                  - RS
                                  - RU
                                  - RW
                                  - SA
                                  - SB
                                  - SC
                                  - SD
                                  - SE
                                  - SG
                                  - SH
                                  - SI
                                  - SJ
                                  - SK
                                  - SL
                                  - SM
                                  - SN
                                  - SO
                                  - SR
                                  - SS
                                  - ST
                                  - SV
                                  - SX
                                  - SY
                                  - SZ
                                  - TC
                                  - TD
                                  - TF
                                  - TG
                                  - TH
                                  - TJ
                                  - TK
                                  - TL
                                  - TM
                                  - TN
                                  - TO
                                  - TR
                                  - TT
                                  - TV
                                  - TW
                                  - TZ
                                  - UA
                                  - UG
                                  - UM
                                  - US
                                  - UY
                                  - UZ
                                  - VA
                                  - VC
                                  - VE
                                  - VG
                                  - VI
                                  - VN
                                  - VU
                                  - WF
                                  - WS
                                  - XK
                                  - YE
                                  - YT
                                  - ZA
                                  - ZM
                                  - ZW
                                type: string
                      description: Country
                    currency:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Currency
                    isPrimary:
                      type: boolean
                      description: Is Primary
                    isActive:
                      type: boolean
                      description: Is Active
                    externalId:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: External ID
                    scopes:
                      anyOf:
                        - enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - base
                                - MX:AV
                                - MX:AV:ARI
                                - MX:AV:AVI
                                - MX:AV:INM
                                - MX:AV:JYS
                                - MX:AV:MJR
                                - MX:AV:MPC
                                - MX:AV:TSC
                                - MX:AV:VEH
                                - MX:CNBV
                                - MX:CNBV:TRANSMISOR
                                - MX
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - base
                                  - MX:AV
                                  - MX:AV:ARI
                                  - MX:AV:AVI
                                  - MX:AV:INM
                                  - MX:AV:JYS
                                  - MX:AV:MJR
                                  - MX:AV:MPC
                                  - MX:AV:TSC
                                  - MX:AV:VEH
                                  - MX:CNBV
                                  - MX:CNBV:TRANSMISOR
                                  - MX
                                type: string
                      description: Scopes
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
                    scopeData:
                      type: object
                      properties:
                        MX:
                          type: object
                          properties:
                            clabe:
                              anyOf:
                                - type: string
                                - type: object
                                  properties:
                                    eq:
                                      type: string
                                    contains:
                                      type: string
                                    startsWith:
                                      type: string
                                    endsWith:
                                      type: string
                                    in:
                                      type: array
                                      items:
                                        type: string
                                    nin:
                                      type: array
                                      items:
                                        type: string
                              description: CLABE
                            codigoBanco:
                              anyOf:
                                - type: string
                                - type: object
                                  properties:
                                    eq:
                                      type: string
                                    contains:
                                      type: string
                                    startsWith:
                                      type: string
                                    endsWith:
                                      type: string
                                    in:
                                      type: array
                                      items:
                                        type: string
                                    nin:
                                      type: array
                                      items:
                                        type: string
                              description: Bank Code
                            codigoPlaza:
                              anyOf:
                                - type: string
                                - type: object
                                  properties:
                                    eq:
                                      type: string
                                    contains:
                                      type: string
                                    startsWith:
                                      type: string
                                    endsWith:
                                      type: string
                                    in:
                                      type: array
                                      items:
                                        type: string
                                    nin:
                                      type: array
                                      items:
                                        type: string
                              description: Plaza Code
                      description: JurisdictionUtils
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - count
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````